//
//  SBSDKMachineReadableZoneRecognizerResult.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 26.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKMachineReadableZoneRecognizerResult {
    var encodedString: String? {
        
        var dictionary: [String: Any] = ["documentType": self.documentType.encodedString,
                                         "rawMrz": self.rawString]
        if let document = self.genericDocument {
            dictionary["document"] = document.encodedDictionary
        }
        
        return dictionary.encodedString
    }
}

extension SBSDKMachineReadableZoneRecognizerResultDocumentType {
    var encodedString: String {
        switch (self){
        case .undefined:
            return "Undefined"
        case .passport:
            return  "Passport"
        case .visa:
            return  "Visa"
        case .crewMemberCertificate:
            return  "CrewMemberCertificate"
        case .idCard:
            return  "IDCard"
        case .swissDriverLicense:
            return  "SwissDriverLicense"
        @unknown default:
            return  "Undefined"
        }
    }
}
