//
//  SBSDKBarcodeOverlayFormat.swift
//  scanbot_sdk
//
//  Created by Seifeddine Bouzid on 25.07.23.
//

import Foundation
import ScanbotSDK

extension SBSDKBarcodeOverlayFormat {
    static func fromArguments(_ arguments: [String: Any]) -> SBSDKBarcodeOverlayFormat? {
        if let string = arguments["textFormat"] as? String {
            let mode = SBSDKBarcodeOverlayFormat.from(string: string)
            return mode
        }
        return nil
    }
    
    static func from(string: String) -> SBSDKBarcodeOverlayFormat {
        switch string {
        case "NONE": return .none
        case "CODE": return .code
        case "CODE_AND_TYPE": return .codeAndType
        default: return .none
        }
    }
}
