//
//  UIEdgeInsets.swift
//  scanbot_sdk
//
//  Created by Serhii Chaban on 06.01.23.
//

import Foundation

extension UIEdgeInsets {
    var encodedDictionary: [String: Any] {
        let dictionary: [String: Any] = ["top": self.top,
                                         "left": self.left,
                                         "right": self.right,
                                         "bottom": self.bottom]
        return dictionary
    }
    
    var encodedString: String? {
        return self.encodedDictionary.encodedString
    }
    
    init?(from dictionary: [String: Any?]) {
        guard let left = dictionary["left"] as? Double,
            let top = dictionary["top"] as? Double,
            let right = dictionary["right"] as? Double,
            let bottom = dictionary["bottom"] as? Double else {
                return nil
        }
        self.init(top: top, left: left, bottom: bottom, right: right)
    }
}
